Get Lexicon Entries - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GET
/v2.0/lexicons/{lexiconId}/entries
Try it
Get Lexicon Entries
cURL
curl --request GET \
--url https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries \
--header 'X-API-Key: <api-key>'
Python
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Codes
- 200: Success
- 400: Bad Request
- 401: Unauthorized
- 402: Payment Required
- 403: Forbidden
- 404: Not Found
- 405: Method Not Allowed
- 409: Conflict
- 413: Payload Too Large
- 500: Internal Server Error
- 501: Not Implemented
- 502: Bad Gateway
- 503: Service Unavailable
- 504: Gateway Timeout
Authorizations
X-API-Key
- Type: string
- Location: header
- Required: Supply the API Key in the HTTP-Header
Headers
- Accept: Specifies the media type that the client expects in the response. Available options:
application/json,application/hal+json,application/xml,text/xml,text/csv. The default value isapplication/json.
Path Parameters
- lexiconId: string, required, The unique identifier for the Lexicon.
- Required string length:
24 - Pattern:
^[a-z0-9]{24}$
- Required string length:
Query Parameters
- projectId: string, The unique identifier for the Project.
- Required string length:
24 - Pattern:
^[a-z0-9]{24}$
- Required string length:
- limit: integer, The maximum number of items to return.
- Default value is 25, maximum permitted value is 100.
- Required range:
1 <= x <= 100
- skip: integer, The number of items to skip before returning the results.
- Default value is 0.
- Required range:
x >= 0
- sort: string, The order in which results are returned. E.g.,
name:asc. - next: string, The cursor that points to the next page of results.
- previous: string, The cursor that points to the previous page of results.
Response Schema
[
{
"_id": "<string>",
"mainKeyphrase": "pizza",
"data": {},
"keyphrases": {
"_id": "<string>",
"value": "pizza",
"isMainKeyphrase": true
},
"slotReferences": [
"<string>"
]
}
]
Error Response Example
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}